=== debian/changelog ===
mriconvert (1:2.0.4-3) unstable; urgency=low

  * Undo previous changes.  Linking with boost-exceptions was not the
    problem.  It seems rather that the boost packages were built with
    an older compiler.
  * control: Change dependency to boost1.54.

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Jul 2013 02:08:36 -0500

mriconvert (1:2.0.4-2) unstable; urgency=low

  * patches/boost-exception.patch: New.  Link with
    -lboost_program_options.  The build on MIPS and ARM failed because
    Boost program-options needs symbols from Boost exception.
  
  * control: Add build-dependency for Boost.Exception.  Unfortunately, the
    current boost-defaults is missing an unversioned boost-exception-dev,
    so added deps for Boost 1.53.

 -- Steve M. Robbins <smr@debian.org>  Tue, 09 Jul 2013 22:35:19 -0500

mriconvert (1:2.0.4-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Jul 2013 03:24:50 -0500

mriconvert (2.0.250-2) UNRELEASED; urgency=low

  * control:
    - multi-line build-depends to ease patching for backports
    - revert to build against ITK 3 instead of ITK 4 which still
      FTBFS on various architectures
    - boosted policy to 3.9.4 (no further changes seems to be due)
  * rules:
    - added --no-info to help2man call to remove statement about
      (absent) Texinfo documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Feb 2013 08:56:12 -0500

mriconvert (2.0.250-1) unstable; urgency=low

  * New upstream.  Closes: #699939.
  * control: Update build-depends (add libboost-program-options-dev).
  * patches/findwxwidgets.patch: Remove.
  * patches/wxwidgets-initializer.patch: Remove.
  * Upstream fixed source package issues; remove get-orig-source script.

 -- Steve M. Robbins <smr@debian.org>  Thu, 07 Feb 2013 21:29:55 -0600

mriconvert (2.0.235+dfsg-1) UNRELEASED; urgency=low

  [ Dmitry Smirnov ]
  * debian/watch: Enable proper detection of new upstream version

  [ Andreas Tille ]
  * debian/copyright:
     - DEP 5
     - Add Files-Excluded to document what was removed from original source
     - Also exclude prebuilded binary files once we are repackaging to save
       a lot of disk space
  * There is no point in mentioning quilt explicitly since source format
    3 (quilt) is used
  * debian/rules: Detect upstream version automatically

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2012 14:47:57 +0200

mriconvert (2.0.235-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Fri, 09 Mar 2012 20:51:58 -0600

mriconvert (2.0.217-4) unstable; urgency=low

  * patches/wxwidgets-initializer.patch: New.  Pass argc, argv to
    wxInitializer constructor (thanks, Olly Betts).  Fixes segfault; see
    #646654.

 -- Steve M. Robbins <smr@debian.org>  Thu, 10 Nov 2011 23:06:44 -0600

mriconvert (2.0.217-3) unstable; urgency=low

  * rules: Search for built binary in */release.

 -- Steve M. Robbins <smr@debian.org>  Fri, 07 Oct 2011 07:32:29 -0500

mriconvert (2.0.217-2) unstable; urgency=low

  * rules: Support use of dpkg before 1.16.1 by using "-include" for
    buildflags.mk.  Create mcverter man page; install together with
    MRIConvert manpage.
  
  * MRIConvert.1: New.
  
  * control: Update Standards-Version to 3.9.2.

 -- Steve M. Robbins <smr@debian.org>  Thu, 06 Oct 2011 21:03:57 -0500

mriconvert (2.0.217-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 04 Oct 2011 19:47:11 -0500

mriconvert (2.0.216-1) unstable; urgency=low

  * New upstream.  Closes: #631168.
    - Help | File formats is fixed.  Closes: #617345.
  
  * rules: enable parallel builds.

 -- Steve M. Robbins <smr@debian.org>  Wed, 22 Jun 2011 23:15:12 -0500

mriconvert (2.0.203-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Adding man page for mcverter (help2man) 
  * Adding watch file
  * Adding a get-orig-source file 

  [ Steve M. Robbins ]
  * New upstream.  Update get-orig-source script.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Apr 2011 22:38:03 -0500

mriconvert (2.0-2) unstable; urgency=low

  * copyright: Replace with correct copyright & license statements.

 -- Steve M. Robbins <smr@debian.org>  Sun, 31 Oct 2010 22:20:49 -0500

mriconvert (2.0-1) unstable; urgency=low

  * Initial upload.  Closes: #599880.

 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Oct 2010 23:40:00 -0500
