## mriconvert 2.0.6

=== debian/changelog ===
mriconvert (1:2.0.6-1) unstable; urgency=low

  * New upstream.  Closes: #731298.
  * control: Remove unnecessary build-depends on libinsighttoolkit3-dev.
    Update Standards-Version to 3.9.5.
  * watch: Replace with version from http://anonscm.debian.org/viewvc/sepwatch

 -- Steve M. Robbins <smr@debian.org>  Sat, 07 Dec 2013 16:51:57 -0600
