=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9),
                libboost-program-options1.54-dev,
-               libinsighttoolkit3-dev,
                libwxgtk2.8-dev,
                cableswig,
                cmake,
                help2man,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/
