=== debian/changelog ===
mriconvert (1:2.0.7-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Wed, 01 Jan 2014 22:32:24 -0600
