=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9),
-               libboost-program-options1.54-dev,
+               libboost-program-options-dev,
                libwxgtk2.8-dev,
                cableswig,
                cmake,
