=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d\  -f2 | cut -d- -f1)

%:
	dh $@ --parallel

override_dh_install:
	dh_install */release/mcverter */release/MRIConvert usr/bin

override_dh_installman:
	help2man --no-info -n 'non-interactive MRI conversion software' --version-string $(VERSION) --no-discard-stderr */release/mcverter > mcverter.1
	dh_installman mcverter.1 debian/MRIConvert.1
