## mriconvert 2.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 cmake_minimum_required( VERSION 2.8 )
 
 if (WIN32)
-  set( wxWidgets_ROOT_DIR C:/wxWidgets-2.8.12 )
-  set( BOOST_ROOT c:/boost_1_52_0 )
+  set( wxWidgets_ROOT_DIR C:/wxWidgets-3.0.0 )
+  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
 else (WIN32)
   set( wxWidgets_ROOT_DIR /usr )
   ## Uncomment for gnu debug.
@@ -30,16 +30,7 @@
 if (wxWidgets_FOUND)
   include( ${wxWidgets_USE_FILE} )
 endif (wxWidgets_FOUND)
-  
-## Setup for Boost.
-set( Boost_USE_STATIC_LIBS TRUE )
-find_package( Boost COMPONENTS program_options REQUIRED )
-if (Boost_FOUND)
-  include_directories( ${Boost_INCLUDE_DIRS} )
-  link_directories( ${Boost_LIBRARY_DIRS} )
-endif (Boost_FOUND)
-  
-message ( "Boost libraries: ${Boost_LIBRARIES}" )
+
 message ( "wxWidgets libraries: ${wxWidgets_LIBRARIES}" )
     
 message( "System name ${CMAKE_HOST_SYSTEM_NAME}" )
@@ -106,6 +97,7 @@
   NewSpmVolume.cpp
   NiftiOptionsDlg.cpp
   NiftiOutputter.cpp
+  NiftiOutputterBase.cpp
   NiftiVolume.cpp
   NoOptionsDlg.cpp
   NumarisMosaicHandler.cpp
@@ -169,6 +161,7 @@
   NewSpmVolume.h
   NiftiOptionsDlg.h
   NiftiOutputter.h
+  NiftiOutputterBase.h
   NiftiVolume.h
   NoOptionsDlg.h
   NumarisMosaicHandler.h
@@ -194,11 +187,12 @@
   resource.h
   fileformats.h
   version_string.h
-
+  utf8proc-v1.1.6/utf8proc.h
+  
   DicomFile.txx
   SeriesHandler.txx
   NewBvOutputter.txx
-  Basic3DOutputter.txx
+  Basic3DConversion.txx
 
   MRIConvert.rc
   MRIConvert.ico
@@ -234,6 +228,7 @@
   NewSpmOutputter.cpp
   NewSpmVolume.cpp
   NiftiOutputter.cpp
+  NiftiOutputterBase.cpp
   NiftiVolume.cpp
   NumarisMosaicHandler.cpp
   OutputFactory.cpp
@@ -278,6 +273,7 @@
   NewSpmOutputter.h
   NewSpmVolume.h
   NiftiOutputter.h
+  NiftiOutputterBase.h
   NiftiVolume.h
   NumarisMosaicHandler.h
   OutputFactory.h
@@ -295,34 +291,48 @@
   resource.h
   fileformats.h
   version_string.h
-
+  utf8proc-v1.1.6/utf8proc.h
+  
   DicomFile.txx
   SeriesHandler.txx
   NewBvOutputter.txx
-  Basic3DOutputter.txx
+  Basic3DConversion.txx
 )
 
+## Need to get this working to support automated
+## build of the utf8proc library. 20150312cdt
+##add_library ( utf8proc
+##  utf8proc-v1.1.6/utf8proc.c
+##  utf8proc-v1.1.6/utf8proc_data.c
+##  utf8proc-v1.1.6/utf8proc.h
+##)
 
 if (WIN32)
 
   TARGET_LINK_LIBRARIES ( MRIConvert
     comctl32
     rpcrt4
-    ${Boost_LIBRARIES}
     ${wxWidgets_LIBRARIES}
+    c:/utf8proc-v1.1.6/utf8proc
   )
 
   TARGET_LINK_LIBRARIES ( mcverter
     comctl32
     rpcrt4
-    ${Boost_LIBRARIES}
     ${wxWidgets_LIBRARIES}
+    c:/utf8proc-v1.1.6/utf8proc
   )
 
 else (WIN32)
 
-  TARGET_LINK_LIBRARIES( MRIConvert ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
-  TARGET_LINK_LIBRARIES( mcverter ${wxWidgets_LIBRARIES} ${Boost_LIBRARIES} )
+  TARGET_LINK_LIBRARIES( MRIConvert
+    ${wxWidgets_LIBRARIES}
+    ${CMAKE_SOURCE_DIR}/utf8proc-v1.1.6/libutf8proc.a
+  )
+
+  TARGET_LINK_LIBRARIES( mcverter
+    ${wxWidgets_LIBRARIES}
+    ${CMAKE_SOURCE_DIR}/utf8proc-v1.1.6/libutf8proc.a
+  )
 
 endif (WIN32)
-
