=== debian/changelog ===
mriconvert (1:2.0.8-3) unstable; urgency=medium

  * patches/build-with-fPIC: New.  Build with -fPIC.  Closes: #798394.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Sep 2015 23:09:01 -0500

mriconvert (1:2.0.8-2) unstable; urgency=medium

  * copyright: Add license for utf8proc-v1.1.6/*.

 -- Steve M. Robbins <smr@debian.org>  Sat, 04 Jul 2015 23:16:29 -0500

mriconvert (1:2.0.8-1) unstable; urgency=medium

  * New upstream.

  * control: Bump standards-version to 3.9.6.  Remove unnecessary
    cableswig build-dep (been there forever, but not sure why).

 -- Steve M. Robbins <smr@debian.org>  Wed, 01 Jul 2015 16:44:42 -0500

mriconvert (1:2.0.7-2) unstable; urgency=medium

  * Update to use wxWidgets 3.0.  Closes: #742019.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 Mar 2014 23:49:38 -0500
