=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Uploaders: Steve M. Robbins <smr@debian.org>
 Build-Depends: debhelper (>= 9),
                libboost-program-options-dev,
-               libwxgtk2.8-dev,
-               cableswig,
+               libwxgtk3.0-dev,
                cmake,
                help2man,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/
