=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 %:
 	dh $@ --parallel
 
+override_dh_auto_build:
+	make -C utf8proc-v1.1.6 c-library
+	dh_auto_build
+
 override_dh_install:
 	dh_install */release/mcverter */release/MRIConvert usr/bin
