=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/^(\S+-x86(?:\.64)?(?:-rhel)?)$/0.0.$1/;s/-src$// \
http://lcni.uoregon.edu/~jolinda/MRIConvert/ \
(?:|.*/)MRIConvert[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
