=== debian/control ===
Source: mriconvert
Homepage: http://lcni.uoregon.edu/~jolinda/MRIConvert/
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), help2man, cmake, cableswig,
 libinsighttoolkit3-dev, libwxgtk2.8-dev
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mriconvert/trunk/

Package: mriconvert
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: medical image file conversion utility
 MRIConvert is a medical image file conversion utility that converts
 DICOM files to NIfTI 1.1, Analyze 7.5, SPM99/Analyze, BrainVoyager,
 and MetaImage volume formats.
