=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION = 2.0.235


%:
	dh $@ --with quilt --parallel

override_dh_install:
	dh_install */release/mcverter */release/MRIConvert usr/bin

override_dh_installman:
	help2man -n 'non-interactive MRI conversion software' --version-string $(VERSION) --no-discard-stderr */release/mcverter > mcverter.1
	dh_installman mcverter.1 debian/MRIConvert.1

get-orig-source:
	./debian/get-orig-source
