=== debian/watch ===
version=3
http://lcni.uoregon.edu/~jolinda/MRIConvert/MRIConvert_([\d\.]+).zip
