=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), help2man, cmake, cableswig,
- libinsighttoolkit3-dev, libwxgtk2.8-dev
+Build-Depends: debhelper (>= 9), help2man, cmake, cableswig, libboost-program-options-dev,
+ libinsighttoolkit4-dev, libwxgtk2.8-dev
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mriconvert/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mriconvert/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mriconvert/trunk/
 
 Package: mriconvert
 Section: science
