=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/([\d.]+)-r(\d+)/$1.$2/,\
downloadurlmangle=s/MRIConvert_.*/mriconvert_sources.zip/,\
filenamemangle=s/.*/mriconvert_sources.orig.zip/\
   http://lcni.uoregon.edu/~jolinda/MRIConvert/MRIConvert_x86-([\d\.]+-r\d+)\.tar\.gz
